Page MenuHomePhabricator

AMDGPU: Add support pattern for SUB of one bit
ClosedPublic

Authored by cfang on Oct 5 2018, 1:49 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

cfang created this revision.Oct 5 2018, 1:49 PM

Could you expand the test so that both uniform and non-uniform cases are tested?

arsenm added a comment.Oct 8 2018, 8:10 AM

Like the add case I'm worried about some cases in control flow and some other edge cases

cfang updated this revision to Diff 169760.Oct 15 2018, 3:10 PM

Add test for non-uniform case.

This revision is now accepted and ready to land.Oct 18 2018, 4:29 PM
Closed by commit rL344815: AMDGPU: Add support pattern for SUB of one bit (authored by chfang, committed by ). · Explain WhyOct 19 2018, 2:11 PM
This revision was automatically updated to reflect the committed changes.